## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMemMgrAutoPtrArray< Type > Class Template Reference

Collaboration diagram for XalanMemMgrAutoPtrArray< Type >:

[legend]
List of all members.

## Public Types

- typedef unsigned int size_type

## Public Member Functions

- XalanMemMgrAutoPtrArray (MemoryManagerType &theManager, Type *ptr, size_type size)
- XalanMemMgrAutoPtrArray ()
- XalanMemMgrAutoPtrArray (const XalanMemMgrAutoPtrArray< Type > &theSource)
- XalanMemMgrAutoPtrArray< Type > & operator= (XalanMemMgrAutoPtrArray< Type > &theRHS)
- ~XalanMemMgrAutoPtrArray ()
- Type & operator * () const
- Type * operator-> () const
- Type * get () const
- size_type getSize () const
- MemoryManagerType * getMemoryManager ()
- const MemoryManagerType * getMemoryManager () const
- XalanMemMgrAutoPtrArray< Type > & operator++ ()
- MemMgrAutoPtrArrayData release ()
- Type * releasePtr ()
- void reset (MemoryManagerType *theManager=0, Type *thePointer=0, size_type size=0)
- Type & operator[] (size_type index) const

### template<class Type>
class XalanMemMgrAutoPtrArray< Type >

## Member Typedef Documentation

template<class Type>
typedef unsigned int XalanMemMgrAutoPtrArray< Type >::size_type

## Constructor & Destructor Documentation

template<class Type>
XalanMemMgrAutoPtrArray< Type >::XalanMemMgrAutoPtrArray | ( | MemoryManagerType & | theManager,
|  | Type * | ptr,
|  | size_type | size
| ) |

template<class Type>
XalanMemMgrAutoPtrArray< Type >::XalanMemMgrAutoPtrArray | ( |  | ) |

template<class Type>
XalanMemMgrAutoPtrArray< Type >::XalanMemMgrAutoPtrArray | ( | const XalanMemMgrAutoPtrArray< Type > & | theSource | ) |

template<class Type>
XalanMemMgrAutoPtrArray< Type >::~XalanMemMgrAutoPtrArray | ( |  | ) |

## Member Function Documentation

template<class Type>
Type* XalanMemMgrAutoPtrArray< Type >::get | ( |  | ) | const

template<class Type>
const MemoryManagerType* XalanMemMgrAutoPtrArray< Type >::getMemoryManager | ( |  | ) | const

template<class Type>
MemoryManagerType* XalanMemMgrAutoPtrArray< Type >::getMemoryManager | ( |  | ) |

template<class Type>
size_type XalanMemMgrAutoPtrArray< Type >::getSize | ( |  | ) | const

template<class Type>
Type& XalanMemMgrAutoPtrArray< Type >::operator * | ( |  | ) | const

template<class Type>
XalanMemMgrAutoPtrArray<Type>& XalanMemMgrAutoPtrArray< Type >::operator++ | ( |  | ) |

template<class Type>
Type* XalanMemMgrAutoPtrArray< Type >::operator-> | ( |  | ) | const

template<class Type>
XalanMemMgrAutoPtrArray<Type>& XalanMemMgrAutoPtrArray< Type >::operator= | ( | XalanMemMgrAutoPtrArray< Type > & | theRHS | ) |

template<class Type>
Type& XalanMemMgrAutoPtrArray< Type >::operator[] | ( | size_type | index | ) | const

template<class Type>
MemMgrAutoPtrArrayData XalanMemMgrAutoPtrArray< Type >::release | ( |  | ) |

template<class Type>
Type* XalanMemMgrAutoPtrArray< Type >::releasePtr | ( |  | ) |

template<class Type>
void XalanMemMgrAutoPtrArray< Type >::reset | ( | MemoryManagerType * | theManager = 0,
|  | Type * | thePointer = 0,
|  | size_type | size = 0
| ) |

The documentation for this class was generated from the following file:

- XalanMemMgrAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.